locked
如何乾淨移除新版Net Framework (4.0 to 4.5.2) RRS feed

  • 問題

  • Hi 各位前輩

         小弟有一台主機上面IIS有一個使用NEt 4.0的網站,小弟在安裝其他軟體時有安裝NEt 4.5.2 (該軟體要求必要安裝),結果安裝後網站就出現問題(有多方對確認是NEt 4.5.2造成的影響),當初安裝時有做snapshot 所以倒回就好了。

        只是小弟在snapshot前有嘗試從新噌移除程式移除4.5.2 (移除實有出現 (1)恢復成Classic狀態(2)移除的選項,我選擇移除) 但是移除後還是出現問題(只是是不一樣的問題訊息)

         想請問各位前輩當如果安裝新版Net 造成類似的問題時,有官方程序可以完成的移除所安裝的新版net嗎??(對方跟我要安裝的軟體都是套裝軟體,所以都無法重新編譯)

    感謝各位前輩

    wyld


    wyldkao

    2018年11月17日 下午 10:47

所有回覆

  • 應該是安全性更新跟你的應用程式不相容。

    建議優先由開發團隊解決不相容問題,其次才是移除對應的安全性更新。

    ASP.NET 產生的錯誤可在事件檢視器找到完整的 .Net 錯誤。


    不精確的問法,就會得到隨便猜的答案;自己都不肯花時間好好描述問題,又何必期望網友會認真回答?

    2018年11月18日 下午 03:27
  • 前輩您好

          兩套軟體都是套裝軟體並非客製開發皆為套裝軟體,且前者網站已經運行很多年

    是小弟的套裝軟體Agent要安裝在該主機才發生此情況

    目前並沒有開發團隊可以協助接洽

    小弟想說如果未來遇到此種情況,至少當下如果有辦法可以乾淨的移除我所安裝的Net版本讓他回復成原本的版本狀態,先復原主機運作後再找所謂的雙方原廠共同除錯

    (這次如果沒有虛擬機的快照..小弟跟所屬公司應該吃不完兜著走了)


    wyldkao

    2018年11月19日 上午 05:32
  • 你如果無法確保 ASP.NET 的版本相容問題,在安裝 Windows Update 時,可以先安裝跟 .Net 沒關係的更新,之後在一個個 .Net 更新安裝,就能鎖定是哪個更新。

    .Net 理論上可以移除重裝,但不能保證乾淨。

    如果會跟更新衝突的話,你只能停用更新提高風險,但是用在網頁上的,真的不適合停用更新。

    找不到原開發單位維護的話,你可能需要編預算買其他的產品替代。


    不精確的問法,就會得到隨便猜的答案;自己都不肯花時間好好描述問題,又何必期望網友會認真回答?

    2018年11月19日 下午 03:18